.kunlunmeta-future-together-page-container .kunlunmeta-hero-banner {
  background-image: url("../images/co-create-future/banner-bg.png");
}

.co-create-future-container {
  background-image: url("../images/co-create-future/future-convergence-bg.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-color: #0b0d3d;
}

/* === */
.future-convergence-section {
  width: 1200px;
  margin: 0 auto;
  padding-top: 58px;
}

.future-convergence-header {
  position: relative;
  padding-left: 28px;
}

.future-convergence-header .klm-join-agi-header-img {
  top: -20px;
  left: 320px;
}

.future-convergence-title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 24px;
  color: #a6c6db;
  line-height: 33px;
}

.future-convergence-desc {
  font-family: PingFangSC, PingFang SC;
  font-weight: 600;
  font-size: 24px;
  color: #ffffff;
  line-height: 33px;
  margin-top: 16px;
}

.future-convergence-text {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #ffffff;
  line-height: 20px;
  margin-top: 8px;
}

.future-convergence-cards {
  margin-top: 92px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
}

.future-convergence-card {
  padding: 24px 52px 16px 16px;
}

.future-convergence-card--cognitive {
  background-image: url("../images/co-create-future/future-convergence-card-cognitive-bg.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

/* 卡片2：集体智慧 - 专属背景图 */
.future-convergence-card--collective {
  background-image: url("../images/co-create-future/future-convergence-card-collective-bg.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

/* 卡片3：追问与追寻 - 专属背景图 */
.future-convergence-card--pursuit {
  background-image: url("../images/co-create-future/future-convergence-card-pursuit-bg.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.future-convergence-card-title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 500;
  font-size: 24px;
  color: #ffffff;
  line-height: 33px;
}

.future-convergence-card-content {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #ffffff;
  line-height: 20px;
  margin-top: 78px;
}

/* === */
.recruitment-section {
  width: 1200px;
  margin: 0 auto;
  padding-top: 150px;
}

.recruitment-header {
  position: relative;
  padding-left: 28px;
}

.recruitment-header .klm-join-agi-header-img {
  top: -20px;
  left: 320px;
}

.recruitment-header__label {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 24px;
  color: #a6c6db;
  line-height: 33px;
}

.recruitment-header__title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 600;
  font-size: 24px;
  color: #ffffff;
  line-height: 33px;
  margin-top: 16px;
  position: relative;
  z-index: 10;
}

.recruitment-header__desc {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #ffffff;
  line-height: 20px;
  margin-top: 4px;
}

.recruitment-team-culture {
  margin-top: 32px;
  background: rgba(30, 41, 83, 0.47);
  border-radius: 8px;
  backdrop-filter: blur(9px);
  padding: 24px 66px 24px 46px;
  display: flex;
  gap: 60px;
}

.recruitment-team-culture__title {
  position: relative;
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 20px;
  color: #ffffff;
  line-height: 28px;
  display: inline-block;
  z-index: 1;
}

/* .recruitment-team-culture__title::after {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    background: linear-gradient(102deg, #0183FF 0%, rgba(0, 170, 252, 0.19) 100%);
    border-radius: 4px;
    opacity: 0.83;
    width: 60px;
    height: 18px;
    z-index: -1;
} */

.recruitment-team-culture__content {
}

.recruitment-team-culture__list {
  display: flex;
  flex-direction: column;
  gap: 24px;
  margin-top: 18px;
  padding-left: 28px;
}

.recruitment-team-culture__item {
  font-family: PingFangSC, PingFang SC;
  font-weight: 500;
  font-size: 14px;
  color: #ffffff;
  line-height: 20px;
}

.recruitment-team-culture__img-wrap {
  width: 276px;
  height: 186px;
  flex-shrink: 0;
}

.recruitment-team-culture__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 4px;
}

.recruitment-job-cards {
  margin-top: 24px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 16px;
}

.recruitment-job-card {
  position: relative;
  background: linear-gradient(180deg, #151956 0%, #0e194b 100%);
  border-radius: 8px;
  padding: 46px 30px 54px 16px;
}

.recruitment-job-card::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: url("../images/co-create-future/recruitment-job-card-bg.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  opacity: 0;
  pointer-events: none;
  z-index: 1;
  transition: all 0.3s ease;
}

.recruitment-job-card:hover::after {
  opacity: 1;
}

.recruitment-job-card:hover .recruitment-job-card__desc {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #ffffff;
  line-height: 20px;
}

.recruitment-job-card > * {
  position: relative;
  z-index: 2;
}

.recruitment-job-card__title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 600;
  font-size: 16px;
  color: #f9f9f9;
  line-height: 22px;
}

.recruitment-job-card__desc {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #b4b5c4;
  line-height: 20px;
  margin-top: 16px;
}

/* === */
.partner-ecosystem-section {
  width: 1200px;
  margin: 0 auto;
  margin-top: 34px;
  /* padding-top: 136px; */
  background-image: url("../images/co-create-future/partner-ecosystem-promise-bg.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  padding-bottom: 36px;
  border-radius: 8px;
}

.partner-ecosystem-header {
  position: relative;
  padding-left: 28px;
}

.partner-ecosystem-header .klm-join-agi-header-img {
  top: -20px;
  left: 320px;
}

.partner-ecosystem-header__label {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 24px;
  color: #a6c6db;
  line-height: 33px;
}

.partner-ecosystem-header__title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 600;
  font-size: 24px;
  color: #ffffff;
  line-height: 33px;
  margin-top: 16px;
}

.partner-ecosystem-header__desc {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #ffffff;
  line-height: 20px;
  margin-top: 8px;
  display: inline-block;
}

.partner-ecosystem-directions__title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 20px;
  color: #ffffff;
  line-height: 28px;
  padding-left: 68px;
  margin-top: 44px;
  position: relative;
  z-index: 1;
  display: inline-block;
}

/* .partner-ecosystem-directions__title::after {
    content: "";
    position: absolute;
    left: 68px;
    top: 50%;
    transform: translateY(-50%);
    background: linear-gradient(102deg, #0183FF 0%, rgba(0, 170, 252, 0.19) 100%);
    border-radius: 4px;
    opacity: 0.83;
    width: 60px;
    height: 18px;
    z-index: -1;
} */

.partner-ecosystem-directions {
  position: relative;
  display: flex;
  padding-left: 34px;
  margin-top: 34px;
  padding-right: 104px;
  justify-content: space-between;
  width: 100%;
}

.partner-ecosystem-directions__list {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.klm-vision-border-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.klm-vision-border-wrapper {
  width: 2px;
  height: 293px;
  background: linear-gradient(
    180deg,
    rgba(11, 13, 61, 1),
    rgba(82, 88, 126, 1),
    rgba(11, 13, 61, 1)
  );
  position: relative;
}

.klm-vision-border-layer-1,
.klm-vision-border-layer-2 {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 10px;
  height: 10px;
}

.klm-vision-border-layer-1 {
  top: -16px;
}

.klm-vision-border-layer-2 {
  bottom: -16px;
}

.partner-ecosystem-directions__item {
  display: flex;
  gap: 8px;
  align-items: flex-start;
  padding: 16px;
  width: 460px;
  flex-shrink: 0;
}

.klm-strategy-plan-core-item-icon {
  flex-shrink: 0;
  width: 24px;
}

.partner-ecosystem-directions__content {
  display: flex;
  flex-direction: column;
}

.partner-ecosystem-directions__item-title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 600;
  font-size: 14px;
  color: #ffffff;
  line-height: 20px;
}

.partner-ecosystem-directions__item-desc {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #b4b5c4;
  line-height: 20px;
  margin-top: 4px;
}

.partner-ecosystem-promise {
  background: rgba(17, 25, 79, 0.42);
  border-radius: 4px;
  padding: 42px 34px 52px 46px;
  width: 372px;
  position: relative;
}

.double-quotes {
  position: absolute;
  top: 35px;
  right: 45px;
}

.partner-ecosystem-promise__title {
  font-family: PingFangSC, PingFang SC;
  font-weight: 500;
  font-size: 24px;
  color: #227eff;
  line-height: 33px;
}

.partner-ecosystem-promise__content {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 20px;
  color: #ffffff;
  line-height: 34px;
  margin-top: 32px;
}

.partner-ecosystem-footer {
  margin-top: 56px;
  padding-left: 40px;
}

.partner-ecosystem-footer__slogan {
  font-family: PingFangSC, PingFang SC;
  font-weight: 600;
  font-size: 32px;
  color: #ffffff;
  line-height: 45px;
}

.partner-ecosystem-footer__btn {
  width: 233px;
  height: 44px;
  background: linear-gradient(309deg, #11a0f8 0%, #0767ee 100%);
  border-radius: 8px;
  margin-top: 32px;
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #ffffff;
  line-height: 44px;
  cursor: pointer;
}

.contact-us-block--primary {
  width: 242px;
  height: 50px;
  background: linear-gradient(309deg, #11a0f8 0%, #0767ee 100%);
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 24px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}
.contact-us-block--primary:hover {
  transform: scale(1.1);
}
.contact-us-heading--main {
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  font-size: 16px;
  color: #ffffff;
  line-height: 20px;
  cursor: pointer;
  letter-spacing: 1px;
}
.co-create-future-hero-content {
    width: 1200px;
    margin: 0 auto;
    padding-top: 450px;
}

.co-create-future-hero-title {
    font-size: 50px;
    color: #FFFFFF;
    line-height: 70px;
}

.co-create-future-hero-desc {
    font-weight: 400;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
    margin-top: 26px;
}
